[FORMAT]
max-line-length=100
good-names=pk

[BASIC]
no-docstring-rgx=^test_|^.*TestCase|^_|^Test

[CLASSES]
# List of method names used to declare (i.e. assign) instance attributes.
defining-attr-methods=__init__,__new__,setUp

[MASTER]
ignore-paths=^tests/.*$,
             ^.venv/.*$,
             ^venv/.*$

[DESIGN]
max-parents=20

[MISCELLANEOUS]
# List of note tags to take in consideration, separated by a comma.
notes=FIXME,
      XXX